Subject: bug#22294: Generating Edebug names for generic methods

From: Dmitry Gutov <[email-masked]>
Date: Wed, 10 May 2017 17:18:42 +0300

On 10.05.2017 8:07, Gemini Lasswell wrote:

> Changing the return value of edebug-match-method-args from nil to
> (list args) makes the error go away and the code sample from #24753
> work. I haven't tested it beyond that.

Thanks! I only tried `args' (without (list)). My only excuse is that it 
was late at night.

So, what do you think about this modification?

It works well in my testing, and it avoids introducing the dynamic 
variable. I'll commit it in your name (since you did most of the work 
anyway) if you like it.